StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Expert Mode

## Functions
void | starpu_wake_all_blocked_workers (void)
int | starpu_progression_hook_register (unsigned(*func)(void *arg), void *arg)
void | starpu_progression_hook_deregister (int hook_id)

## Detailed Description

## Function Documentation

void starpu_wake_all_blocked_workers | ( | void |  | ) |

Wake all the workers, so they can inspect data requests and task submissions again.

int starpu_progression_hook_register | ( | unsigned(*)(void *arg) | func,
|  | void * | arg
| ) |  |

Register a progression hook, to be called when workers are idle.

void starpu_progression_hook_deregister | ( | int | hook_id | ) |

Unregister a given progression hook.